Skip to main content
POST
/
v2
/
projects
Core - Create project
curl --request POST \
  --url 'https://api.orq.ai/v2/projects' \
  --header 'Authorization: Bearer $ORQ_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "name": "Customer Success",
    "description": "Production automations for customer success workflows",
    "teams": ["team_support", "team_growth"]
  }'
{
  "project": {
    "project_id": "<string>",
    "name": "<string>",
    "key": "<string>",
    "is_archived": true,
    "is_default": true,
    "teams": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "created_by_id": "<string>",
    "updated_by_id": "<string>",
    "description": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Project name. Names must be non-empty and at most 128 characters.

teams
string[]

Team identifiers to associate with the project.

description
string

Optional human-readable description, at most 500 characters.

Response

200 - application/json

OK

project
object
required

Newly created project.